Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.func
Class FNSimple

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.expr.Expr
              org.basex.query.xquery.func.Fun
                  org.basex.query.xquery.func.FNSimple

    public final class FNSimple

extends Fun

Simple functions.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.xquery.expr.Expr
`Expr.Return, Expr.Using`

Field Summary

Fields inherited from class org.basex.query.xquery.func.Fun
`args, func`

Constructor Summary
`FNSimple()`

Method Summary
`Expr` | `c(XQContext ctx)` Compiles the function.
`Iter` | `iter(XQContext ctx, Iter[] arg)` Evaluates the function.

Methods inherited from class org.basex.query.xquery.func.Fun
`comp, info, iter, plan, returned, toString, uses`

Methods inherited from class org.basex.query.xquery.expr.Expr
`e, i`

Methods inherited from class org.basex.query.ExprInfo
`color, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FNSimple

    public FNSimple()

Method Detail

### iter

    public Iter iter(XQContext ctx,
                     Iter[] arg)
              throws XQException

  Description copied from class: `Fun`
  Evaluates the function.

  Specified by:
    `iter` in class `Fun`
  Parameters:
    `ctx` - xquery context
    `arg` - evaluated arguments
  Returns:
    evaluated item
  Throws:
    `XQException` - evaluation exception

### c

    public Expr c(XQContext ctx)
           throws XQException

  Description copied from class: `Fun`
  Compiles the function.

  Overrides:
    `c` in class `Fun`
  Parameters:
    `ctx` - xquery context
  Returns:
    evaluated item
  Throws:
    `XQException` - evaluation exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD